Loading...
Searching...
No Matches
parse_bin_path.cpp File Reference

Implements raptor::parse_bin_path. More...

`#include <raptor/argument_parsing/parse_bin_path.hpp>`
`#include <raptor/argument_parsing/validators.hpp>`
`#include <raptor/build/hibf/parse_chopper_pack_line.hpp>`

## Functions

void | raptor::detail::parse_bin_path (std::filesystem::path const &bin_file, std::vector< std::vector< std::string > > &bin_path, bool const is_hibf)
void | raptor::parse_bin_path (build_arguments &arguments)
void | raptor::parse_bin_path (prepare_arguments &arguments)
void | raptor::parse_bin_path (upgrade_arguments &arguments)

## Detailed Description

Implements raptor::parse_bin_path.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>